OpenJPEG: opj_tile_index Struct Reference

OpenJPEG 2.5.4

Data Fields
opj_tile_index Struct Reference

Index structure about a tile. More...

`#include <openjpeg.h>`

## Data Fields
OPJ_UINT32 | tileno
| tile index
OPJ_UINT32 | nb_tps
| number of tile parts
OPJ_UINT32 | current_nb_tps
| current nb of tile part (allocated)
OPJ_UINT32 | current_tpsno
| current tile-part index
opj_tp_index_t * | tp_index
| information concerning tile parts
OPJ_UINT32 | marknum
| number of markers
opj_marker_info_t * | marker
| list of markers
OPJ_UINT32 | maxmarknum
| actual size of markers array
OPJ_UINT32 | nb_packet
| packet number
opj_packet_info_t * | packet_index
| information concerning packets inside tile

## Detailed Description

Index structure about a tile.

## Field Documentation

## ◆ current_nb_tps

OPJ_UINT32 opj_tile_index::current_nb_tps

current nb of tile part (allocated)

Referenced by opj_j2k_build_tp_index_from_tlm(), and opj_j2k_read_sot().

## ◆ current_tpsno

OPJ_UINT32 opj_tile_index::current_tpsno

current tile-part index

Referenced by opj_j2k_add_tlmarker(), opj_j2k_read_sod(), and opj_j2k_read_sot().

## ◆ marker

opj_marker_info_t* opj_tile_index::marker

list of markers

Referenced by j2k_destroy_cstr_index(), j2k_get_cstr_index(), opj_j2k_add_tlmarker(), opj_j2k_allocate_tile_element_cstr_index(), and opj_j2k_dump_MH_index().

## ◆ marknum

OPJ_UINT32 opj_tile_index::marknum

number of markers

Referenced by j2k_get_cstr_index(), opj_j2k_add_tlmarker(), opj_j2k_allocate_tile_element_cstr_index(), and opj_j2k_dump_MH_index().

## ◆ maxmarknum

OPJ_UINT32 opj_tile_index::maxmarknum

actual size of markers array

Referenced by opj_j2k_add_tlmarker(), and opj_j2k_allocate_tile_element_cstr_index().

## ◆ nb_packet

OPJ_UINT32 opj_tile_index::nb_packet

packet number

Referenced by j2k_get_cstr_index().

## ◆ nb_tps

OPJ_UINT32 opj_tile_index::nb_tps

number of tile parts

Referenced by j2k_get_cstr_index(), opj_j2k_build_tp_index_from_tlm(), opj_j2k_decode_one_tile(), opj_j2k_decode_tiles(), opj_j2k_dump_MH_index(), opj_j2k_read_sot(), and opj_j2k_read_tile_header().

## ◆ packet_index

opj_packet_info_t* opj_tile_index::packet_index

information concerning packets inside tile

Referenced by j2k_destroy_cstr_index(), and j2k_get_cstr_index().

## ◆ tileno

OPJ_UINT32 opj_tile_index::tileno

tile index

Referenced by opj_j2k_build_tp_index_from_tlm(), and opj_j2k_read_sot().

## ◆ tp_index

opj_tp_index_t* opj_tile_index::tp_index

information concerning tile parts

Referenced by j2k_destroy_cstr_index(), j2k_get_cstr_index(), opj_j2k_add_tlmarker(), opj_j2k_build_tp_index_from_tlm(), opj_j2k_decode_one_tile(), opj_j2k_decode_tiles(), opj_j2k_dump_MH_index(), opj_j2k_read_sod(), opj_j2k_read_sot(), and opj_j2k_read_tile_header().

The documentation for this struct was generated from the following file:

- openjpeg.h